## org.apache.myfaces.webapp
Class MyFacesServlet

    java.lang.Object
      org.apache.myfaces.webapp.MyFacesServlet

All Implemented Interfaces:
  DelegatedFacesServlet, javax.servlet.Servlet

public class MyFacesServlet
extends java.lang.Object
implements javax.servlet.Servlet, DelegatedFacesServlet

Derived FacesServlet that can be used for debugging purpose and to fix the Weblogic startup issue (FacesServlet is initialized before ServletContextListener).

Version:
  $Revision: 278953 $ $Date: 2005-09-06 05:20:44 -0400 (Tue, 06 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`MyFacesServlet()`

Method Summary
`void` `destroy()`
`javax.servlet.ServletConfig` `getServletConfig()`
`java.lang.String` `getServletInfo()`
`void` `init(javax.servlet.ServletConfig servletConfig)`
`void` `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyFacesServlet

    public MyFacesServlet()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`